/*
 * Author: Magnus Bergman <magnus@snisurset.net>
 *
 * This file is public domain.
 */
#ifndef pc88_h
#define pc88_h

#include <cairo.h>
#include <stdint.h>

#include "bitplane.h"

typedef uint16_t pc88_cairo_color_t;

void pc88_default_palette(pc88_cairo_color_t *palette);
#if 1
#define pc88_decode_image(bp, pal) abydos_image_surface16_from_bitplanes(bp, 640, 200, 80, 3, pal, 0)
#else
cairo_surface_t *pc88_decode_image(uint8_t **bitplane, pc88_cairo_color_t *palette);
#endif

#endif /* pc88_t */
